/* This file is part of VisualDFT.
 *
 * VisualDFT is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * VisualDFT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with VisualDFT; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package ch.educeth.visualdft;

import java.io.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.AbstractButton;
import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.JFrame;
import javax.swing.ImageIcon;
import javax.swing.event.*;
import javax.swing.*;
import javax.swing.border.*;


/**
 * Das ApproxButtonPanel (abgeleitet von JPanel) erzeugt das fenster 
 * mit der approximations-funktionalitt. Zudem sind auch die betreffenden
 * listeners hier zu finden.
 */


public class ApproxButtonPanel extends JPanel
					{

    private DftRoot dftRoot;
    private JSlider dSlider;
    private JCheckBox soloButton;

    private TitledBorder titleBorder= BorderFactory.createTitledBorder(BorderFactory.createEtchedBorder(), 
			" A P P R O X I M A T I O N ");
    private TitledBorder qualityTitledBorder= BorderFactory.createTitledBorder(BorderFactory.createEtchedBorder(), 
			" APPROXIMATION QUALITY ");

    public ApproxButtonPanel(DftRoot dftRootA) {
     	this.dftRoot=dftRootA;
       

	dSlider = new JSlider(JSlider.HORIZONTAL,0, dftRoot.ANZ_SAMPLES/2+1, 0);
	dSlider.setMajorTickSpacing(10);
	dSlider.setMinorTickSpacing(1);
	dSlider.setPaintTicks(true);
	dSlider.setPaintLabels(false);
	dSlider.setBorder(qualityTitledBorder);

	soloButton = new JCheckBox("Select only one frequency");
    	soloButton.setSelected(false);
	soloButton.setBorder(qualityTitledBorder);
	    
	dSlider.addChangeListener(new ChangeListener() {
		public void stateChanged(ChangeEvent e) {
        		JSlider source = (JSlider)e.getSource();	
	    		int fps = (int)source.getValue();
			dftRoot.Upper=fps;
			if (dftRoot.Solo==true){dftRoot.Under=fps;}

			dftRoot.redrawall();	
    		}
	});


	soloButton.addItemListener(new ItemListener() {
		public void itemStateChanged(ItemEvent e) {
        		if (e.getStateChange() == ItemEvent.DESELECTED) {dftRoot.Solo=false;dftRoot.Under=1;
			}else {dftRoot.Solo=true;dftRoot.Under=dftRoot.Upper;}  			
			dftRoot.redrawall();
    		}
	});




        //Add Components to this container, using the default FlowLayout. 
	setLayout(new GridLayout(2,1));
      
        add(soloButton);
        add(dSlider);
	
	setBorder(titleBorder);
    }

}