/* This file is part of VisualDFT.
 *
 * VisualDFT is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * VisualDFT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with VisualDFT; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package ch.educeth.visualdft;


/**
 * Dies ist ein hilfsvektor, er besitzt keine neue funktionalitt, bietet 
 * jedoch bersichtlichkeit bei der Sttzstellen-Vektor-Matrix: 
 * "SVector[][] stVeMatrix" (2-D Matrix gefllt mit SVectors)
 * 
 */ 

public class SVector {
	
	private int VLength;
	private double[] VArray;

	public SVector(int VLength){
		int I;
		this.VLength=VLength;
		VArray=new double[VLength];

		for (I=0 ; I<VLength ; I++) {
		VArray[I]= 0.0d; 
		} 

	}

	public double Read(int Pos) {return VArray[Pos];}
	
	public void Write(int Pos,double Value) {VArray[Pos]=Value;}

	public int GetLength() {return VLength;}
}