/* This file is part of VisualDFT.
 *
 * VisualDFT is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * VisualDFT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with VisualDFT; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package ch.educeth.visualdft;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.applet.Applet;
import java.awt.geom.*;
import java.awt.image.BufferedImage;


/**
 *  Dies ist main frame des applets. Die wichtigsten objekt-instanzen
 *  werden hier erzeugt und zugleich verdrahtet. Zudem werden alle GUI komponenten 
 *  in den obersten CONTAINER geworfen und positioniert. 
 * 
 * 
 */


public class VisualDFT extends JFrame{

	private DftRoot dftRoot;
	private ATView amplTimeView;
	private AFView amplFreqView;
	private PresetButtonPanel presetButtonPanel;
	private ApproxButtonPanel approxButtonPanel;
	private AudioButtonPanel audioButtonPanel;

    	public void buildUI(Container container) {
		setBackground(Color.white);
		dftRoot = new DftRoot(this);

        	amplTimeView = new ATView(dftRoot); 
		amplFreqView = new AFView(dftRoot);
		presetButtonPanel = new PresetButtonPanel(dftRoot);
		approxButtonPanel = new ApproxButtonPanel(dftRoot);
		audioButtonPanel = new AudioButtonPanel(dftRoot);

		container.add(presetButtonPanel); 
		container.add(approxButtonPanel);
		container.add(audioButtonPanel);
        	container.add(amplFreqView);
		container.add(amplTimeView);
	
		amplFreqView.setBounds(405 , 0 , 100, 100);
		amplTimeView.setBounds(5 , 0 , 100, 100);
		presetButtonPanel.setBounds(0 , 290 , 300, 150);
		approxButtonPanel.setBounds(310 , 290 , 190, 150);
		audioButtonPanel.setBounds(510 , 290 , 290, 150);
		container.setBackground(new Color(0.85f, 0.85f, 0.75f)); 

		setTitle(" V I S U A L   D F T ");
		setSize(new Dimension(800,490));
        	setVisible(true);

  	}

  	public VisualDFT(){
		buildUI(getContentPane());
  	}


    	public void restorep(){
		amplTimeView.repaint();
		amplFreqView.repaint();
    	}

}
